Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.trans
Class ConfigurationReader

    java.lang.Object
      net.sf.saxon.trans.ConfigurationReader

All Implemented Interfaces:
  NamespaceResolver, ContentHandler

Direct Known Subclasses:
  ConfigurationReaderPE

    public class ConfigurationReader

extends Object
implements ContentHandler, NamespaceResolver

Class used to read a config.xml file and transfer all settings from the file to the Configuration

Field Summary
`protected Configuration` | `config`

Constructor Summary
`ConfigurationReader()`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(String uri, String localName, String qName)`
`void` | `endPrefixMapping(String prefix)`
`protected void` | `errorClass(String element, String attribute, String actual, Class required, Exception cause)`
`String` | `getURIForPrefix(String prefix, boolean useDefault)` Get the namespace URI corresponding to a given prefix.
`void` | `ignorableWhitespace(char[] ch, int start, int length)`
`Iterator` | `iteratePrefixes()` Get an iterator over all the prefixes declared in this namespace context.
`Configuration` | `makeConfiguration(Source source)` Create a Configuration based on the contents of this configuration file
`void` | `processingInstruction(String target, String data)`
`protected void` | `readExtensionElement(Attributes atts)` Process details of XSLT extension elements.
`void` | `setClassLoader(ClassLoader classLoader)` Set the ClassLoader to be used for dynamic loading of the configuration, and for dynamic loading of other classes used within the configuration.
`void` | `setDocumentLocator(Locator locator)`
`void` | `skippedEntity(String name)`
`void` | `startDocument()`
`void` | `startElement(String uri, String localName, String qName, Attributes atts)`
`void` | `startPrefixMapping(String prefix, String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### config

    protected Configuration config

Constructor Detail

### ConfigurationReader

    public ConfigurationReader()

Method Detail

### setClassLoader

    public void setClassLoader(ClassLoader classLoader)

  Set the ClassLoader to be used for dynamic loading of the configuration, and for dynamic loading of other classes used within the configuration. By default the class loader of this class is used.

  Parameters:
    `classLoader` - the ClassLoader to be used

### makeConfiguration

    public Configuration makeConfiguration(Source source)
                                    throws XPathException

  Create a Configuration based on the contents of this configuration file

  Parameters:
    `source` - the Source of the configuration file
  Returns:
    the constructed Configuration
  Throws:
    `XPathException`

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Specified by:
    `setDocumentLocator` in interface `ContentHandler`

### startDocument

    public void startDocument()
                       throws SAXException

  Specified by:
    `startDocument` in interface `ContentHandler`
  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Specified by:
    `endDocument` in interface `ContentHandler`
  Throws:
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)
                            throws SAXException

  Specified by:
    `startPrefixMapping` in interface `ContentHandler`
  Throws:
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String prefix)
                          throws SAXException

  Specified by:
    `endPrefixMapping` in interface `ContentHandler`
  Throws:
    `SAXException`

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes atts)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Throws:
    `SAXException`

### readExtensionElement

    protected void readExtensionElement(Attributes atts)

  Process details of XSLT extension elements. Overridden in Saxon-PE configuration reader

  Parameters:
    `atts` - the attributes of the extensionElement element in the configuration file

### errorClass

    protected void errorClass(String element,
                              String attribute,
                              String actual,
                              Class required,
                              Exception cause)

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Throws:
    `SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Specified by:
    `characters` in interface `ContentHandler`
  Throws:
    `SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws SAXException

  Specified by:
    `ignorableWhitespace` in interface `ContentHandler`
  Throws:
    `SAXException`

### processingInstruction

    public void processingInstruction(String target,
                                      String data)
                               throws SAXException

  Specified by:
    `processingInstruction` in interface `ContentHandler`
  Throws:
    `SAXException`

### skippedEntity

    public void skippedEntity(String name)
                       throws SAXException

  Specified by:
    `skippedEntity` in interface `ContentHandler`
  Throws:
    `SAXException`

### getURIForPrefix

    public String getURIForPrefix(String prefix,
                                  boolean useDefault)

  Get the namespace URI corresponding to a given prefix. Return null if the prefix is not in scope.

  Specified by:
    `getURIForPrefix` in interface `NamespaceResolver`
  Parameters:
    `prefix` - the namespace prefix. May be the zero-length string, indicating that there is no prefix. This indicates either the default namespace or the null namespace, depending on the value of useDefault.
    `useDefault` - true if the default namespace is to be used when the prefix is "". If false, the method returns "" when the prefix is "".
  Returns:
    the uri for the namespace, or null if the prefix is not in scope. The "null namespace" is represented by the pseudo-URI "".

### iteratePrefixes

    public Iterator iteratePrefixes()

  Get an iterator over all the prefixes declared in this namespace context. This will include the default namespace (prefix="") and the XML namespace where appropriate

  Specified by:
    `iteratePrefixes` in interface `NamespaceResolver`
  Returns:
    an iterator over all the prefixes for which a namespace binding exists, including the zero-length string to represent the null/absent prefix if it is bound

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.